## org.biojava.bio.structure
Class GroupIterator

    java.lang.Object
      org.biojava.bio.structure.GroupIterator

All Implemented Interfaces:
  java.util.Iterator

    public class GroupIterator

extends java.lang.Object
implements java.util.Iterator

an iterator over all groups of a structure.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`GroupIterator(Structure struct)` Constructs a GroupIterator object.

Method Summary
`java.lang.Object` `clone()` Creates and returns a copy of this object.
`Chain` `getCurrentChain()`
`boolean` `hasNext()` is there a group after the current one in the structure?
`java.lang.Object` `next()` get next Group.
`void` `remove()` does nothing .

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupIterator

    public GroupIterator(Structure struct)

  Constructs a GroupIterator object.

  Parameters:
    `struct` - a Structure object

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`

### hasNext

    public boolean hasNext()

  is there a group after the current one in the structure?

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### getCurrentChain

    public Chain getCurrentChain()

### next

    public java.lang.Object next()
                          throws java.util.NoSuchElementException

  get next Group.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    next Group
  Throws:
    `java.util.NoSuchElementException` - ...

### remove

    public void remove()

  does nothing .

  Specified by:
    `remove` in interface `java.util.Iterator`